Skip Menu |
 

This queue is for tickets about the XML-LibXML CPAN distribution.

Report information
The Basics
Id: 69722
Status: resolved
Priority: 0/
Queue: XML-LibXML

People
Owner: Nobody in particular
Requestors: paul [...] city-fan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.83
Fixed in: (no value)



Subject: Test suite now requires perl 5.8.8
Download (untitled) / with headers
text/plain 1.1k
The changed t/14sax.t in 1.83 now requires perl 5.8.8 due to its use of the x operator. On 5.8.6 or earlier perls, the result is this: t/14sax.............................Number found where operator expected at t/14sax.t line 150, near "x 10" (Do you need to predeclare x?) Number found where operator expected at t/14sax.t line 178, near "x 10" (Do you need to predeclare x?) "my" variable $sax masks earlier declaration in same scope at t/14sax.t line 202. "my" variable $xml masks earlier declaration in same scope at t/14sax.t line 260. "my" variable $builder masks earlier declaration in same scope at t/14sax.t line 286. syntax error at t/14sax.t line 150, near "qw(true) x " syntax error at t/14sax.t line 178, near "qw(true) x " BEGIN not safe after errors--compilation aborted at t/14sax.t line 303. # Looks like your test died before it could output anything. dubious Test returned status 9 (wstat 2304, 0x900) DIED. FAILED tests 1-31 Failed 31/31 tests, 0.00% okay There probably aren't many people using new XML::LibXML on such old perls so it might be better just to document this limitation rather than fixing it.
Download (untitled) / with headers
text/plain 1.3k
On Sat Jul 23 15:44:36 2011, paul@city-fan.org wrote: Show quoted text
> The changed t/14sax.t in 1.83 now requires perl 5.8.8 due to its use of > the x operator. On 5.8.6 or earlier perls, the result is this: > > t/14sax.............................Number found where operator expected > at t/14sax.t line 150, near "x 10" > (Do you need to predeclare x?) > Number found where operator expected at t/14sax.t line 178, near "x 10" > (Do you need to predeclare x?) > "my" variable $sax masks earlier declaration in same scope at t/14sax.t > line 202. > "my" variable $xml masks earlier declaration in same scope at t/14sax.t > line 260. > "my" variable $builder masks earlier declaration in same scope at > t/14sax.t line 286. > syntax error at t/14sax.t line 150, near "qw(true) x " > syntax error at t/14sax.t line 178, near "qw(true) x " > BEGIN not safe after errors--compilation aborted at t/14sax.t line 303. > # Looks like your test died before it could output anything. > dubious > Test returned status 9 (wstat 2304, 0x900) > DIED. FAILED tests 1-31 > Failed 31/31 tests, 0.00% okay > > There probably aren't many people using new XML::LibXML on such old > perls so it might be better just to document this limitation rather than > fixing it.
Thanks for the report - this was fixed in XML-LibXML-1.84 which was just uploaded to CPAN.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.